Veszélyes hiba egyes JetBrains termékekben

Azonnali frissítést adott ki a JetBrains az IntelliJ és a Google, a JetBrains-en alapuló Android Studio fejlesztő környezetekben, a két szoftverben ugyanis nagyon veszélyes sebezhetőséget tártak fel.

A hiba az IntelliJ IDE nem megfelelően biztosított programozási felülete miatt jön létre, ezért nem csak a két említett szoftver, hanem a JetBrains minden erre épülő eszköze ( PhpStrom, WebStrom, PyCharm, AppCode) is veszélyben van, ezeket is frissíteni szükséges.
Akik korábbi IntelliJ verziókat használnak, nincsenek veszélyben, a biztonsági rés csak a program 2016-os változataiban van jelen. A ReSharper, a dotTrace, a dotMemory és a dotCover nem érintettek a hibával kapcsolatban.